Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.appconn
Class MSMQConfiguration

    java.lang.Object
      com.stc.connector.msmqadapter.appconn.MSMQConfiguration

    public class MSMQConfiguration

extends java.lang.Object

This is the bean class that holds configuration information.

Constructor Summary
`MSMQConfiguration()` Creates new MSMQConfiguration.
`MSMQConfiguration(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)`
`MSMQConfiguration(com.stc.connector.framework.jca.system.STCPropertiesInfo connProps)`

Method Summary
`java.lang.Number` | `getOutConnectionRetriesCount()` Returns the outConnectionRetriesCount
`java.lang.Number` | `getOutConnectionRetryInterval()` Returns the outConnectionRetryInterval
`java.lang.String` | `getOutMSMQAccessMode()` Returns the outMSMQAccessMode
`java.lang.String` | `getOutMSMQFormatName()` Returns the outMSMQFormatName
`java.lang.String` | `getOutMSMQHost()` Returns the outMSMQHost
`java.lang.String` | `getOutMSMQName()` Returns the outMSMQName
`java.lang.Number` | `getOutMSMQPriority()` Returns the outMSMQPriority
`java.lang.String` | `getOutMSMQReceiveActionCode()` Returns the outMSMQReceiveActionCode
`java.lang.String` | `getOutMSMQShareMode()` Returns the outMSMQShareMode
`java.lang.String` | `getOutMSMQTransactionType()` Returns the outMSMQTransactionType
`java.lang.String` | `getOutQueueAlias()` Returns the outQueueAlias
`boolean` | `isAutomaticConnection()`
`void` | `setOutConnectionRetriesCount(java.lang.Number outConnectionRetriesCount)` Sets the outConnectionRetriesCount
`void` | `setOutConnectionRetryInterval(java.lang.Number outConnectionRetryInterval)` Sets the outConnectionRetryInterval
`void` | `setOutMSMQAccessMode(java.lang.String outMSMQAccessMode)` Sets the outMSMQAccessMode
`void` | `setOutMSMQFormatName(java.lang.String outMSMQFormatName)` Sets the outMSMQFormatName
`void` | `setOutMSMQHost(java.lang.String outMSMQHost)` Sets the outMSMQHost
`void` | `setOutMSMQName(java.lang.String outMSMQName)` Sets the outMSMQName
`void` | `setOutMSMQPriority(java.lang.Number outMSMQPriority)` Sets the outMSMQPriority
`void` | `setOutMSMQReceiveActionCode(java.lang.String outMSMQReceiveActionCode)` Sets the outMSMQReceiveActionCode
`void` | `setOutMSMQShareMode(java.lang.String outMSMQShareMode)` Sets the outMSMQShareMode
`void` | `setOutMSMQTransactionType(java.lang.String outMSMQTransactionType)` Sets the outMSMQTransactionType
`void` | `setOutQueueAlias(java.lang.String outQueueAlias)` Sets the outQueueAlias

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSMQConfiguration

    public MSMQConfiguration()

  Creates new MSMQConfiguration.

### MSMQConfiguration

    public MSMQConfiguration(com.stc.connector.framework.jca.system.STCPropertiesInfo connProps)

### MSMQConfiguration

    public MSMQConfiguration(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)

Method Detail

### setOutMSMQName

    public void setOutMSMQName(java.lang.String outMSMQName)

  Sets the outMSMQName

  Parameters:
    `outMSMQName` -

### getOutMSMQName

    public java.lang.String getOutMSMQName()

  Returns the outMSMQName

  Returns:
    outMSMQName

### setOutMSMQFormatName

    public void setOutMSMQFormatName(java.lang.String outMSMQFormatName)

  Sets the outMSMQFormatName

  Parameters:
    `outMSMQFormatName` -

### getOutMSMQFormatName

    public java.lang.String getOutMSMQFormatName()

  Returns the outMSMQFormatName

  Returns:
    outMSMQFormatName

### setOutQueueAlias

    public void setOutQueueAlias(java.lang.String outQueueAlias)

  Sets the outQueueAlias

  Parameters:
    `outQueueAlias` -

### getOutQueueAlias

    public java.lang.String getOutQueueAlias()

  Returns the outQueueAlias

  Returns:
    outQueueAlias

### setOutMSMQShareMode

    public void setOutMSMQShareMode(java.lang.String outMSMQShareMode)

  Sets the outMSMQShareMode

  Parameters:
    `outMSMQShareMode` -

### getOutMSMQShareMode

    public java.lang.String getOutMSMQShareMode()

  Returns the outMSMQShareMode

  Returns:
    outMSMQShareMode

### setOutMSMQHost

    public void setOutMSMQHost(java.lang.String outMSMQHost)

  Sets the outMSMQHost

  Parameters:
    `outMSMQHost` -

### getOutMSMQHost

    public java.lang.String getOutMSMQHost()

  Returns the outMSMQHost

  Returns:
    outMSMQHost

### setOutMSMQReceiveActionCode

    public void setOutMSMQReceiveActionCode(java.lang.String outMSMQReceiveActionCode)

  Sets the outMSMQReceiveActionCode

  Parameters:
    `outMSMQReceiveActionCode` -

### getOutMSMQReceiveActionCode

    public java.lang.String getOutMSMQReceiveActionCode()

  Returns the outMSMQReceiveActionCode

  Returns:
    outMSMQReceiveActionCode

### setOutMSMQTransactionType

    public void setOutMSMQTransactionType(java.lang.String outMSMQTransactionType)

  Sets the outMSMQTransactionType

  Parameters:
    `outMSMQTransactionType` -

### getOutMSMQTransactionType

    public java.lang.String getOutMSMQTransactionType()

  Returns the outMSMQTransactionType

  Returns:
    outMSMQTransactionType

### isAutomaticConnection

    public boolean isAutomaticConnection()

### setOutMSMQPriority

    public void setOutMSMQPriority(java.lang.Number outMSMQPriority)

  Sets the outMSMQPriority

  Parameters:
    `outMSMQPriority` -

### getOutMSMQPriority

    public java.lang.Number getOutMSMQPriority()

  Returns the outMSMQPriority

  Returns:
    outMSMQPriority

### setOutMSMQAccessMode

    public void setOutMSMQAccessMode(java.lang.String outMSMQAccessMode)

  Sets the outMSMQAccessMode

  Parameters:
    `outMSMQAccessMode` -

### getOutMSMQAccessMode

    public java.lang.String getOutMSMQAccessMode()

  Returns the outMSMQAccessMode

  Returns:
    outMSMQAccessMode

### setOutConnectionRetriesCount

    public void setOutConnectionRetriesCount(java.lang.Number outConnectionRetriesCount)

  Sets the outConnectionRetriesCount

  Parameters:
    `outConnectionRetriesCount` -

### getOutConnectionRetriesCount

    public java.lang.Number getOutConnectionRetriesCount()

  Returns the outConnectionRetriesCount

  Returns:
    outConnectionRetriesCount

### setOutConnectionRetryInterval

    public void setOutConnectionRetryInterval(java.lang.Number outConnectionRetryInterval)

  Sets the outConnectionRetryInterval

  Parameters:
    `outConnectionRetryInterval` -

### getOutConnectionRetryInterval

    public java.lang.Number getOutConnectionRetryInterval()

  Returns the outConnectionRetryInterval

  Returns:
    outConnectionRetryInterval

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD